<?xml version="1.0" encoding="utf-8"?>
<!--
This XML file declares which signature|privileged permissions should be granted to
privileged Google applications in GMS devices.
-->
<permissions>
    <privapp-permissions package="com.android.emergency">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.google.android.feedback">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.google.android.gsf">
        <permission name="android.permission.ACCESS_CACHE_FILESYSTEM" />
        <permission name="android.permission.ACCESS_DOWNLOAD_MANAGER" />
        <permission name="android.permission.ACCESS_DOWNLOAD_MANAGER_ADVANCED" />
        <permission name="android.permission.ACCESS_NETWORK_STATE" />
        <permission name="android.permission.ACCESS_WIFI_STATE" />
        <permission name="android.permission.AUTHENTICATE_ACCOUNTS" />
        <permission name="android.permission.BACKUP" />
        <permission name="android.permission.BROADCAST_STICKY" />
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE" />
        <permission name="android.permission.CHANGE_NETWORK_STATE" />
        <permission name="android.permission.CHANGE_WIFI_STATE" />
        <permission name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
        <permission name="android.permission.DUMP" />
        <permission name="android.permission.GET_ACCOUNTS" />
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
        <permission name="android.permission.INTERNET" />
        <permission name="android.permission.INVOKE_CARRIER_SETUP" />
        <permission name="android.permission.MANAGE_ACCOUNTS" />
        <permission name="android.permission.MANAGE_USERS" />
        <permission name="android.permission.MASTER_CLEAR" />
        <permission name="android.permission.PERSISTENT_ACTIVITY" />
        <permission name="android.permission.READ_CONTACTS" />
        <permission name="android.permission.READ_DEVICE_CONFIG" />
        <permission name="android.permission.READ_DREAM_STATE" />
        <permission name="android.permission.READ_LOGS" />
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY" />
        <permission name="android.permission.READ_PHONE_STATE" />
        <permission name="android.permission.READ_SYNC_SETTINGS" />
        <permission name="android.permission.READ_SYNC_STATS" />
        <permission name="android.permission.REBOOT" />
        <permission name="android.permission.RECEIVE_BOOT_COMPLETED" />
        <permission name="android.permission.RECEIVE_DATA_ACTIVITY_CHANGE" />
        <permission name="android.permission.RECOVERY" />
        <permission name="android.permission.SET_TIME" />
        <permission name="android.permission.STATUS_BAR" />
        <permission name="android.permission.UPDATE_DEVICE_STATS" />
        <permission name="android.permission.USE_CREDENTIALS" />
        <permission name="android.permission.VIBRATE" />
        <permission name="android.permission.WAKE_LOCK" />
        <permission name="android.permission.WRITE_CONTACTS" />
        <permission name="android.permission.WRITE_GSERVICES" />
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
        <permission name="android.permission.WRITE_SETTINGS" />
        <permission name="android.permission.WRITE_SYNC_SETTINGS" />
        <permission name="androidx.core.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
        <permission name="androidx.fragment.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
        <permission name="androidx.legacy.coreui.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
        <permission name="androidx.legacy.coreutils.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
        <permission name="com.android.chrome.TOS_ACKED" />
        <permission name="com.android.vending.billing.ADD_CREDIT_CARD" />
        <permission name="com.android.vending.billing.BILLING_ACCOUNT_SERVICE" />
        <permission name="com.android.vending.INTENT_VENDING_ONLY" />
        <permission name="com.android.vending.TOS_ACKED" />
        <permission name="com.google.android.c2dm.permission.RECEIVE" />
        <permission name="com.google.android.c2dm.permission.SEND" />
        <permission name="com.google.android.googleapps.permission.ACCESS_GOOGLE_PASSWORD" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH.ALL_SERVICES" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH.mail" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH.youtube" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH.YouTubeUser" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_MAIL_SWITCH" />
        <permission name="com.google.android.gsf.permission.C2D_MESSAGE" />
        <permission name="com.google.android.gsf.subscribedfeeds.permission.C2D_MESSAGE" />
        <permission name="com.google.android.gtalkservice.permission.GTALK_SERVICE" />
        <permission name="com.google.android.gtalkservice.permission.SEND_HEARTBEAT" />
        <permission name="com.google.android.permission.BROADCAST_DATA_MESSAGE" />
        <permission name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
        <permission name="com.google.android.providers.gsf.permission.WRITE_GSERVICES" />
        <permission name="com.google.android.providers.settings.permission.READ_GSETTINGS" />
        <permission name="com.google.android.providers.settings.permission.WRITE_GSETTINGS" />
        <permission name="com.google.android.providers.talk.permission.READ_ONLY" />
        <permission name="com.google.android.providers.talk.permission.WRITE_ONLY" />
        <permission name="com.google.android.xmpp.permission.BROADCAST" />
        <permission name="com.google.android.xmpp.permission.XMPP_ENDPOINT_BROADCAST" />
        <permission name="does.not.matter.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
    </privapp-permissions>

    <privapp-permissions package="com.google.android.onetimeinitializer">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.RECEIVE_BOOT_COMPLETED" />
        <permission name="com.google.android.onetimeinitializer.DYNAMIC_RECEIVER_NOT_EXPORTED_PERMISSION" />
        <permission name="com.google.android.onetimeinitializer.permission.ONE_TIME_INITIALIZED" />
    </privapp-permissions>

    <privapp-permissions package="com.google.android.setupwizard">
        <permission name="android.permission.ACCESS_BACKGROUND_LOCATION" />
        <permission name="android.permission.ACCESS_COARSE_LOCATION" />
        <permission name="android.permission.ACCESS_FINE_LOCATION" />
        <permission name="android.permission.ACCESS_NETWORK_STATE" />
        <permission name="android.permission.ACCESS_WIFI_STATE" />
        <permission name="android.permission.AUTHENTICATE_ACCOUNTS" />
        <permission name="android.permission.BACKUP" />
        <permission name="android.permission.CALL_PHONE" />
        <permission name="android.permission.CAMERA" />
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE" />
        <permission name="android.permission.CHANGE_CONFIGURATION" />
        <permission name="android.permission.CHANGE_NETWORK_STATE" />
        <permission name="android.permission.CHANGE_WIFI_STATE" />
        <permission name="android.permission.CONNECTIVITY_INTERNAL" />
        <permission name="android.permission.DISABLE_KEYGUARD" />
        <permission name="android.permission.DISPATCH_PROVISIONING_MESSAGE" />
        <permission name="android.permission.FOREGROUND_SERVICE" />
        <permission name="android.permission.GET_PACKAGE_SIZE" />
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
        <permission name="android.permission.INTERNET" />
        <permission name="android.permission.INVOKE_CARRIER_SETUP" />
        <permission name="android.permission.LOCAL_MAC_ADDRESS" />
        <permission name="android.permission.MANAGE_ACCESSIBILITY" />
        <permission name="android.permission.MANAGE_ACCOUNTS" />
        <permission name="android.permission.MANAGE_FINGERPRINT" />
        <permission name="android.permission.MANAGE_USB" />
        <permission name="android.permission.MANAGE_USERS" />
        <permission name="android.permission.MASTER_CLEAR" />
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE" />
        <permission name="android.permission.MODIFY_PHONE_STATE" />
        <permission name="android.permission.MODIFY_SETTINGS_OVERRIDEABLE_BY_RESTORE" />
        <permission name="android.permission.NEARBY_WIFI_DEVICES" />
        <permission name="android.permission.NETWORK_SETUP_WIZARD" />
        <permission name="android.permission.NFC" />
        <permission name="android.permission.NOTIFICATION_DURING_SETUP" />
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG" />
        <permission name="android.permission.PEERS_MAC_ADDRESS" />
        <permission name="android.permission.PERFORM_CDMA_PROVISIONING" />
        <permission name="android.permission.POST_NOTIFICATIONS" />
        <permission name="android.permission.PROVISION_DEMO_DEVICE" />
        <permission name="android.permission.QUERY_ALL_PACKAGES" />
        <permission name="android.permission.READ_CONTACTS" />
        <permission name="android.permission.READ_DEVICE_CONFIG" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
        <permission name="android.permission.READ_PROFILE" />
        <permission name="android.permission.READ_WIFI_CREDENTIAL" />
        <permission name="android.permission.REBOOT" />
        <permission name="android.permission.RECEIVE_BOOT_COMPLETED" />
        <permission name="android.permission.REQUEST_NETWORK_SCORES" />
        <permission name="android.permission.SET_INITIAL_LOCK" />
        <permission name="android.permission.SET_TIME" />
        <permission name="android.permission.SET_TIME_ZONE" />
        <permission name="android.permission.SHUTDOWN" />
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND" />
        <permission name="android.permission.STATUS_BAR" />
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME" />
        <permission name="android.permission.UPDATE_LOCK_TASK_PACKAGES" />
        <permission name="android.permission.USE_BIOMETRIC" />
        <permission name="android.permission.USE_COLORIZED_NOTIFICATIONS" />
        <permission name="android.permission.USE_CREDENTIALS" />
        <permission name="android.permission.WAKE_LOCK" />
        <permission name="android.permission.WRITE_APN_SETTINGS" />
        <permission name="android.permission.WRITE_CONTACTS" />
        <permission name="android.permission.WRITE_PROFILE" />
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
        <permission name="android.permission.WRITE_SETTINGS" />
        <permission name="android.permission.WRITE_SYNC_SETTINGS" />
        <permission name="com.android.vending.setup.PLAY_PROGRESS_BIND" />
        <permission name="com.android.vending.setup.PLAY_SETUP_SERVICE" />
        <permission name="com.android.vending.TOS_ACKED" />
        <permission name="com.google.android.apps.now.OPT_IN_WIZARD" />
        <permission name="com.google.android.googleapps.permission.GOOGLE_AUTH" />
        <permission name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
        <permission name="com.google.android.providers.settings.permission.READ_GSETTINGS" />
        <permission name="com.google.android.providers.settings.permission.WRITE_GSETTINGS" />
        <permission name="com.google.android.setupwizard.PARTNER_SETUP" />
        <permission name="com.google.android.setupwizard.READ_DEVICE_ORIGIN_FIRST_PARTY" />
        <permission name="com.google.android.setupwizard.SETUP" />
        <permission name="com.google.android.setupwizard.SETUP_BTS" />
        <permission name="com.google.android.setupwizard.SETUP_COMPAT_SERVICE" />
        <permission name="com.google.android.setupwizard.SETUP_PROGRESS_SERVICE" />
    </privapp-permissions>
</permissions>
